Skip to main content

Connect Alias

POST 

/v1/brands/:brandId/sale-channels/connect-alias

Connect an alias brand to a shared primary marketplace account. Use the requested account and brand identifiers in this operation's body rather than reconnecting credentials.

Requires saleChannelAuth.write.

Request and response fields at a glance
  • Path parameters: brandId (integer, required).
  • Request body (application/json): primaryAccountId (number, required).
  • 201 response (application/json): id (number), brandId (number, required), saleChannelId (number, required), brandIdInSaleChannel (string, required), status (string, required), onboardingStatus (mixed), connectionDate (string, required), connectionError (string), fulfillmentModel (string, required), inventoryScope (string, required), inventoryExternallyManaged (boolean, required), primaryAccountId (number), isPrimary (boolean, required), isShared (boolean, required), createdAt (string, required), updatedAt (string, required), transferLeadTimeDays (mixed), minRemainingShelfLifeDays (mixed), minInboundShelfLifeDays (mixed), inventoryBranchId (mixed), logInEmail (mixed), saleChannel (object), brand (object).

Request​